> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Status da janela WhatsApp oficial

> Retorna o status da janela de mensagens para WhatsApp API Oficial e Instagram Direct.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /conversation/{conversationId}/whatsapp-window
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /conversation/{conversationId}/whatsapp-window:
    get:
      tags:
        - Conversations
      summary: Status da janela WhatsApp oficial
      description: >-
        Retorna o status da janela de mensagens para WhatsApp API Oficial e
        Instagram Direct.
      parameters:
        - schema:
            type: string
            pattern: ^[cC][^\s-]{8,}$
          in: path
          name: conversationId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isOfficialWhatsapp:
                    type: boolean
                  isInstagram:
                    type: boolean
                  isWindowExpired:
                    type: boolean
                  requiresTemplate:
                    type: boolean
                  windowStatus:
                    type: string
                    enum:
                      - open
                      - awaiting_client_response
                      - template_required
                      - window_closed
                  integrationId:
                    type: string
                    nullable: true
                required:
                  - isOfficialWhatsapp
                  - isInstagram
                  - isWindowExpired
                  - requiresTemplate
                  - windowStatus
                  - integrationId
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````